<?php
function sn_subscription_form() {
    ob_start(); ?>
    <style>
        .newsletter-form {
            background-color: #f9f9f9;
            padding: 20px;
            border-radius: 8px;
            box-shadow: 0 0 10px rgba(0, 0, 0, 0.1);
            max-width: 400px;
            margin: auto;
        }

        .newsletter-form h2 {
            font-size: 24px;
            margin-bottom: 10px;
        }

        .newsletter-form label {
            font-size: 14px;
            margin-bottom: 5px;
            display: block;
        }

        .newsletter-form input[type="email"] {
            padding: 10px;
            margin-bottom: 20px;
            border: 1px solid #ccc;
            border-radius: 4px;
            width: 100%;
            box-sizing: border-box;
        }

        .newsletter-form button[type="submit"] {
            padding: 10px 20px;
            background-color: #0073aa;
            color: #fff;
            border: none;
            border-radius: 4px;
            cursor: pointer;
            width: 100%;
        }

        .newsletter-form button[type="submit"]:hover {
            background-color: #005177;
        }
    </style>
    <div class="newsletter-form">
        <h2><?php _e('Pripojte sa k odberu nových článkov', 'mirori-newsletter'); ?></h2>
        <i>Vašu e-mail adresu použijeme len na zaslanie informácie o nových článkoch.</i>
        <form method="post" action="">
            <?php wp_nonce_field('sn_subscribe_nonce', 'sn_subscribe_nonce_field'); ?>
            <label for="sn_email"><?php _e('Zadajte svoj e-mail:', 'mirori-newsletter'); ?></label>
            <input type="email" name="sn_email" id="sn_email" required>
            <button type="submit"><?php _e('Prihlásiť sa', 'mirori-newsletter'); ?></button>
        </form>
    </div>
    <?php
    if ($_SERVER['REQUEST_METHOD'] === 'POST' && isset($_POST['sn_email']) && check_admin_referer('sn_subscribe_nonce', 'sn_subscribe_nonce_field')) {
        sn_save_email(sanitize_email($_POST['sn_email']));
    }
    return ob_get_clean();
}
add_shortcode('newsletter_form', 'sn_subscription_form');
?>

