<?php
function sn_render_send_email_page() {
    global $wpdb;
    $table_name = $wpdb->prefix . 'newsletter_subscribers';
    $subscribers = $wpdb->get_results("SELECT * FROM $table_name");

    if ($_SERVER['REQUEST_METHOD'] === 'POST' && check_admin_referer('sn_send_email_nonce')) {
        $selected_emails = isset($_POST['emails']) ? array_map('sanitize_email', $_POST['emails']) : [];
        $subject = sanitize_text_field($_POST['subject']);
        $message = wp_kses_post($_POST['message']);

        foreach ($selected_emails as $email) {
            $unsubscribe_link = add_query_arg('unsubscribe', $email, home_url('/'));
            $message .= '<br><br><a href="' . $unsubscribe_link . '">' . __('Zrušiť registráciu', 'mirori-newsletter') . '</a>';
            $headers = array('Content-Type: text/html; charset=UTF-8');
            wp_mail($email, $subject, $message, $headers);
        }

        echo '<div class="notice notice-success"><p>' . __('E-maily boli odoslané!', 'mirori-newsletter') . '</p></div>';
    }

    ?>
    <div class="wrap">
        <h1><?php _e('Odoslať e-mail odberateľom', 'mirori-newsletter'); ?></h1>
        <form method="post">
            <?php wp_nonce_field('sn_send_email_nonce'); ?>
            <h2><?php _e('Vyberte odberateľov:', 'mirori-newsletter'); ?></h2>
            <?php foreach ($subscribers as $subscriber): ?>
                <label>
                    <input type="checkbox" name="emails[]" value="<?php echo esc_attr($subscriber->email); ?>">
                    <?php echo esc_html($subscriber->email); ?>
                </label><br>
            <?php endforeach; ?>
            <h2><?php _e('Predmet:', 'mirori-newsletter'); ?></h2>
            <input type="text" name="subject" style="width: 100%;" required><br>
            <h2><?php _e('Správa:', 'mirori-newsletter'); ?></h2>
            <textarea name="message" rows="10" style="width: 100%;" required></textarea><br><br>
            <button type="submit" class="button button-primary"><?php _e('Odoslať e-mail', 'mirori-newsletter'); ?></button>
        </form>
    </div>
    <?php
}
?>
